Wed, 19 May 2021 00:43:17 UTC

Information for build protobuf-2.0.2-6.fc11

ID76457
Package Nameprotobuf
Version2.0.2
Release6.fc11
Epoch
SummaryProtocol Buffers - Google's data interchange format
DescriptionProtocol Buffers are a way of encoding structured data in an efficient yet extensible format. Google uses Protocol Buffers for almost all of its internal RPC protocols and file formats. Protocol buffers are a flexible, efficient, automated mechanism for serializing structured data – think XML, but smaller, faster, and simpler. You define how you want your data to be structured once, then you can use special generated source code to easily write and read your structured data to and from a variety of data streams and using a variety of languages. You can even update your data structure without breaking deployed programs that are compiled against the "old" format.
Built byabbot
State complete
Volume fedora_koji_archive00
StartedFri, 26 Dec 2008 11:27:57 UTC
CompletedFri, 26 Dec 2008 11:34:52 UTC
Taskbuild (dist-f11, /cvs/pkgs:rpms/protobuf/devel:protobuf-2_0_2-6_fc11)
Tags
f11-alpha
f11-alpha-2
RPMs
src
protobuf-2.0.2-6.fc11.src.rpm (info) (download)
i386
protobuf-2.0.2-6.fc11.i386.rpm (info) (download)
protobuf-compiler-2.0.2-6.fc11.i386.rpm (info) (download)
protobuf-devel-2.0.2-6.fc11.i386.rpm (info) (download)
protobuf-python-2.0.2-6.fc11.i386.rpm (info) (download)
protobuf-static-2.0.2-6.fc11.i386.rpm (info) (download)
protobuf-vim-2.0.2-6.fc11.i386.rpm (info) (download)
protobuf-debuginfo-2.0.2-6.fc11.i386.rpm (info) (download)
ppc
protobuf-2.0.2-6.fc11.ppc.rpm (info) (download)
protobuf-compiler-2.0.2-6.fc11.ppc.rpm (info) (download)
protobuf-devel-2.0.2-6.fc11.ppc.rpm (info) (download)
protobuf-python-2.0.2-6.fc11.ppc.rpm (info) (download)
protobuf-static-2.0.2-6.fc11.ppc.rpm (info) (download)
protobuf-vim-2.0.2-6.fc11.ppc.rpm (info) (download)
protobuf-debuginfo-2.0.2-6.fc11.ppc.rpm (info) (download)
ppc64
protobuf-2.0.2-6.fc11.ppc64.rpm (info) (download)
protobuf-compiler-2.0.2-6.fc11.ppc64.rpm (info) (download)
protobuf-devel-2.0.2-6.fc11.ppc64.rpm (info) (download)
protobuf-python-2.0.2-6.fc11.ppc64.rpm (info) (download)
protobuf-static-2.0.2-6.fc11.ppc64.rpm (info) (download)
protobuf-vim-2.0.2-6.fc11.ppc64.rpm (info) (download)
protobuf-debuginfo-2.0.2-6.fc11.ppc64.rpm (info) (download)
x86_64
protobuf-2.0.2-6.fc11.x86_64.rpm (info) (download)
protobuf-compiler-2.0.2-6.fc11.x86_64.rpm (info) (download)
protobuf-devel-2.0.2-6.fc11.x86_64.rpm (info) (download)
protobuf-python-2.0.2-6.fc11.x86_64.rpm (info) (download)
protobuf-static-2.0.2-6.fc11.x86_64.rpm (info) (download)
protobuf-vim-2.0.2-6.fc11.x86_64.rpm (info) (download)
protobuf-debuginfo-2.0.2-6.fc11.x86_64.rpm (info) (download)
Logs
i386
build.log
root.log
state.log
ppc
build.log
root.log
state.log
ppc64
build.log
root.log
state.log
x86_64
build.log
root.log
state.log
Changelog * Tue Dec 23 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-6 - Small fixes for python 2.6 eggs. - Temporarily disabled java subpackage due to build problems, will be fixed and turned back on in future. * Thu Nov 27 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-5 - No problems with ppc & ppc64 arch in rawhide, had to do a release bump. * Sat Nov 22 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-4 - Added patch from subversion r70 to workaround gcc 4.3.0 bug (see http://code.google.com/p/protobuf/issues/detail?id=45 for more details). * Tue Nov 11 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-3 - Added conflicts to java and python subpackages to prevent using with wrong compiler versions. - Fixed license. - Fixed BuildRequires for -python subpackage. - Fixed Requires and Group for -javadoc subpackage. - Fixed Requires for -devel subpackage. - Fixed issue with wrong shebang in descriptor_pb2.py. - Specify build options via --with/--without. - Use Fedora-packaged gtest library instead of a bundled one by default (optional). * Fri Oct 31 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-2 - Use python_sitelib macro instead of INSTALLED_FILES. - Fix the license. - Fix redundant requirement for -devel subpackage. - Fix wrong dependences for -python subpackage. - Fix typo in requirements for -javadoc subpackage. - Use -p option for cp and install to preserve timestamps. - Remove unneeded ldconfig call for post scripts of -devel subpackage. - Fix directories ownership. * Sun Oct 12 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-1 - Update to version 2.0.2 - New -java and -javadoc subpackages. - Options to disable building of -python and -java* subpackages * Mon Sep 15 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.1-2 - Added -p switch to install commands to preserve timestamps. - Fixed Version and Libs in pkgconfig script. - Added pkgconfig requires for -devel package. - Removed libtool archives from -devel package. * Thu Sep 04 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.1-1 - Updated to 2.0.1 version. * Wed Aug 13 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.0-0.1.beta - Initial package version. Credits for vim subpackage and pkgconfig go to Rick L Vinyard Jr <rvinyard@cs.nmsu.edu>